<div class="col-md-12">
	<div class="box box-default box-solid">
		<div class="box-header with-border">
			<h3 class="box-title">Cuentas por cobrar</h3>
			<div class="box-tools pull-right">
				<button type="button" class="btn btn-box-tool" data-widget="collapse">
					<i class="fa fa-minus"></i>
				</button>
			</div>
		</div>
		<div class="box-body">
			<?php
			//################################################## TABLA DE COBROS ###################################
			$facturas = $db->get_results("SELECT
				pv_enca_factura.Id_Enca_Factura,
				pv_enca_factura.Fecha,
				pv_enca_factura.Dias_Credito, 
				pv_enca_factura.Total,
				pv_enca_factura.Estado,
				DATE_ADD(pv_enca_factura.Fecha, INTERVAL pv_enca_factura.Dias_Credito DAY) as Vencimiento
				FROM pv_enca_factura, pv_cliente
				WHERE pv_enca_factura.Id_Cliente = pv_cliente.Id_Cliente
				AND pv_enca_factura.Id_Cliente = '$codigo_cliente'
				AND (pv_enca_factura.Estado = 2 OR pv_enca_factura.Estado = 3)
				ORDER BY pv_enca_factura.Id_Cliente ASC ");
			if ($facturas) {	
			?>
				<table id="Tabla_Cobros2" class="table table-bordered table-hover" width="100%" >
					<thead>
						<tr>
							<th>Factura</th>
							<th>Dias de credito</th>
							<th>Emisión</th>
							<th>Vencimiento</th>
							<th>Total</th>
							<th>Pendiente</th>
							<th>Estado</th>
							<th></th>
						</tr>
					</thead>
					<tfoot>
						<tr>
							<th colspan="6" id="total1" class="text-right"></th>
							<th></th>
							<th></th>
						</tr>
					</tfoot>
					<tbody>
						<?php
							foreach ( $facturas as $factura ){
						?>
						<tr>
							<td><?php $idfactura =  $factura->Id_Enca_Factura; 
							echo $idfactura ?></td>
							<td><?php echo $factura->Dias_Credito; ?></td>
							<td data-order="<?php echo $timestamp = $factura->Fecha;?>">
								<?php echo FormatoFecha($timestamp); ?>
							</td>
							<td data-order="<?php echo $vencimiento = $factura->Vencimiento;?>">
								<?php echo FormatoFecha($vencimiento); ?>
							</td>
							<td class="text-right"><?php $Total = $factura->Total; echo FormatoNumero($Total); ?></td>
							<td class="text-right">
								<?php
									$estado = $factura->Estado;
									if ($estado == 2) {
										$abonado = $db->get_var("SELECT SUM(Cantidad) FROM pv_pago_factura 
											WHERE Id_Enca_Factura = '$factura->Id_Enca_Factura' ");
										echo FormatoNumero($Total - $abonado);
									}else{
										echo FormatoNumero($Total);
									};
								?>
							</td>
							<td><?php echo EstadoCobro($estado); ?></td>
							<td>
								<button type="button" class="btn btn-default" onclick="factura(<?php echo $idfactura; ?>)">
									<i class="fa fa-eye"> ver</i>
								</button>
							</td>
						</tr>
						<?php
							}
						?>
					</tbody>
				</table>
			<?php
				}else{
					echo "Sin cuentas por cobrar";
				};
			?>
		</div>
	</div>
</div>

<div class="col-md-12">
	<div class="box box-default box-solid">
		<div class="box-header with-border">
			<h3 class="box-title">Ventas realizadas</h3>
			<div class="box-tools pull-right">
				<button type="button" class="btn btn-box-tool" data-widget="collapse">
					<i class="fa fa-minus"></i>
				</button>
			</div>
		</div>
		<div class="box-body">
			<?php
			//################################################## TABLA DE VENTAS ###################################
				$ventas = $db->get_results("SELECT
					pv_enca_factura.Id_Enca_Factura,
					pv_enca_factura.Fecha,
					pv_enca_factura.Dias_Credito, 
					pv_enca_factura.Total,
					pv_enca_factura.Estado
					FROM pv_enca_factura, pv_cliente
					WHERE pv_enca_factura.Id_Cliente = pv_cliente.Id_Cliente
					AND pv_enca_factura.Id_Cliente = '$codigo_cliente'
					AND pv_enca_factura.Estado = 1
					ORDER BY pv_enca_factura.Id_Cliente ASC
				");
				if ($ventas) {	
			?>   
					<table id="Tabla_Ventas" class="table table-bordered table-hover" width="100%">
						<thead>
							<tr>
								<th>Factura</th>
								<th>Dias de credito</th>
								<th>Fecha de emisión</th>
								<th>Total</th>
								<th>Estado</th>
								<th></th>
							</tr>
						</thead>
						<tfoot>
						<tr>
							<th colspan="4" id="total2" class="text-right"></th>
							<th></th>
							<th></th>
						</tr>
					</tfoot>
						<tbody>
							<?php
								foreach ( $ventas as $venta ){
							?>
							<tr>
								<td><?php $id_factura = $venta->Id_Enca_Factura;
								echo $id_factura; ?></td>
								<td><?php echo $venta->Dias_Credito; ?></td>
								<td data-order="<?php echo $emision = $venta->Fecha;?>">
									<?php echo FormatoFecha($emision); ?>
								</td>
								<td class="text-right">
									<?php echo FormatoNumero($venta->Total); ?>
								</td>
								<td><?php echo EstadoCobro($venta->Estado); ?></td>
								<td>
									<button type="button" class="btn btn-default" onclick="factura(<?php echo $id_factura; ?>)">
										<i class="fa fa-eye"> ver</i>
									</button>
								</td>
							</tr>
							<?php
								}
							?>
						</tbody>
					</table>
				<?php
					}else{
						echo "Sin Ventas Realizadas";
					}
			?>
		</div>
	</div>
</div>

<div class="col-md-12">
	<div class="box box-default box-solid">
		<div class="box-header with-border">
			<h3 class="box-title">Anticipo o saldo a favor</h3>
			<div class="box-tools pull-right">
				<button type="button" class="btn btn-box-tool" data-widget="collapse">
					<i class="fa fa-minus"></i>
				</button>
			</div>
		</div>
		<div class="box-body">
			<?php
			//################################################## TABLA DE Anticipos ###################################
				$anticipos = $db->get_results("SELECT
					pv_anticipo.Id_Anticipo,
					pv_documento.Descripcion,
					pv_anticipo.Comprobante2, 
					pv_anticipo.Fecha,
					pv_anticipo.Cantidad
					FROM pv_anticipo, pv_cliente, pv_documento
					WHERE pv_anticipo.Id_Cliente = pv_cliente.Id_Cliente
					AND pv_anticipo.Id_Documento = pv_documento.Id_Documento
					AND pv_anticipo.Id_Cliente = '$codigo_cliente'
				");
				if ($anticipos) {	
			?>
				<table id="Tabla_Anticipos" class="table table-bordered table-hover" width="100%">
					<thead>
						<tr>
							<th>Numero de Abono</th>
							<th>Documento</th>
							<th>Fecha</th>
							<th>Comprobante</th>
							<th>Abonado</th>
						</tr>
					</thead>
					<tfoot>
						<tr>
							<th colspan="5" id="total3" class="text-right"></th>
						</tr>
					</tfoot>
					<tbody>
						<?php
							foreach ( $anticipos as $anticipo ){
						?>
						<tr>
							<td><?php echo $anticipo->Id_Anticipo; ?></td>
							<td><?php echo $anticipo->Descripcion; ?></td>
							<td><?php echo FormatoFecha($anticipo->Fecha); ?></td>
							<td><?php echo $anticipo->Comprobante2; ?></td>
							<td><?php echo FormatoNumero($anticipo->Cantidad); ?></td>
						</tr>
						<?php
							}
						?>
					</tbody>
				</table>
				<?php
					}else{
						echo "Sin anticipos o saldo a favor";
					}
				?>
		</div>
	</div>
</div>


