<?php
/*Ing. Manuel Gabriel
* Script que genera un archivo con formato json (Util para sistemas de sincronizacion)
*/
class Sincronizacion
{	
	var $filename = "sinc.json";
	var $dirfile = "../config/file/";
	var $totalArray = 0;

	public function __construct($consulta,$posicion,$mensaje,$usuario)
	{
		$remplazo = array("\r", "\n", "\t", '  ');
		if ( is_null($consulta) ) {
			return false;
		}else{
			$consulta = str_replace($remplazo," ",$consulta);
			if ( $this->dataready() === false ) {
				$this->datanew($consulta,$posicion,$mensaje,$usuario);
			}else{
				$datos = $this->dataready();
				$this->totalArray = count($datos);
				if( $this->totalArray < 1 ){
					$this->datanew($consulta,$posicion,$mensaje,$usuario);
				}else{
					$this->datapush($consulta,$posicion,$mensaje,$usuario,$datos);
				}
			}
		}
	}

	private function datanew($query,$position,$message,$user)
	{
		$data = [];
		$data[] = [
			'time' => date("Y-m-d H:i:s"),
			'query' => $query,
			'position' => $position,
			'message' => $message,
			'user' => $user
		];
		$this->datarcrate($data);
	}

	private function datapush($query,$position,$message,$user,$contents)
	{
		$data = [
			'time' => date("Y-m-d H:i:s"),
			'query' => $query,
			'position' => $position,
			'message' => $message,
			'user' => $user
		];
		array_push($contents, $data);
		$this->datarcrate($contents);
	}
	
	private function dataready()
	{
		if ( file_exists($this->dirfile.$this->filename) ){
			$data_contents = file_get_contents($this->dirfile.$this->filename);
			$json_contents = json_decode($data_contents,true);
			return $json_contents;
		}else{
			return false;
		}
	}
	
	private function datarcrate($data)
	{
		$json_string = json_encode($data);
		file_put_contents($this->dirfile.$this->filename, $json_string);
	}

}

?>